<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.9.1"/>
<title>goocanvasmm: Class Members - Functions</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">goocanvasmm
   &#160;<span id="projectnumber">1.90.11</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.9.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li class="current"><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="navrow3" class="tabs2">
    <ul class="tablist">
      <li><a href="functions.html"><span>All</span></a></li>
      <li class="current"><a href="functions_func.html"><span>Functions</span></a></li>
      <li><a href="functions_vars.html"><span>Variables</span></a></li>
    </ul>
  </div>
  <div id="navrow4" class="tabs3">
    <ul class="tablist">
      <li><a href="functions_func.html#index_a"><span>a</span></a></li>
      <li><a href="functions_func_b.html#index_b"><span>b</span></a></li>
      <li><a href="functions_func_c.html#index_c"><span>c</span></a></li>
      <li><a href="functions_func_e.html#index_e"><span>e</span></a></li>
      <li><a href="functions_func_f.html#index_f"><span>f</span></a></li>
      <li><a href="functions_func_g.html#index_g"><span>g</span></a></li>
      <li><a href="functions_func_i.html#index_i"><span>i</span></a></li>
      <li><a href="functions_func_k.html#index_k"><span>k</span></a></li>
      <li><a href="functions_func_l.html#index_l"><span>l</span></a></li>
      <li><a href="functions_func_m.html#index_m"><span>m</span></a></li>
      <li class="current"><a href="functions_func_o.html#index_o"><span>o</span></a></li>
      <li><a href="functions_func_p.html#index_p"><span>p</span></a></li>
      <li><a href="functions_func_r.html#index_r"><span>r</span></a></li>
      <li><a href="functions_func_s.html#index_s"><span>s</span></a></li>
      <li><a href="functions_func_t.html#index_t"><span>t</span></a></li>
      <li><a href="functions_func_u.html#index_u"><span>u</span></a></li>
      <li><a href="functions_func_w.html#index_w"><span>w</span></a></li>
      <li><a href="functions_func_~.html#index_~"><span>~</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div class="contents">
&#160;

<h3><a class="anchor" id="index_o"></a>- o -</h3><ul>
<li>on_animation_finished()
: <a class="el" href="classGoocanvas_1_1Item.html#a4bcd068c3b3fe9fb55028668659c77f3">Goocanvas::Item</a>
, <a class="el" href="classGoocanvas_1_1ItemModel.html#a8228676748a60d80a3ae8ebb1868ce5f">Goocanvas::ItemModel</a>
</li>
<li>on_button_press_event()
: <a class="el" href="classGoocanvas_1_1Item.html#a1a1299c98312bba75cfdd27b09b97fbf">Goocanvas::Item</a>
</li>
<li>on_button_release_event()
: <a class="el" href="classGoocanvas_1_1Item.html#a10fffcf576e3b6fff7f36fed018be68c">Goocanvas::Item</a>
</li>
<li>on_changed()
: <a class="el" href="classGoocanvas_1_1ItemModel.html#a60e47edfe6de91038ec96d5a89fb7c72">Goocanvas::ItemModel</a>
</li>
<li>on_child_added()
: <a class="el" href="classGoocanvas_1_1ItemModel.html#a08ef8b8479ce52c2d32db69fcb29c25d">Goocanvas::ItemModel</a>
</li>
<li>on_child_moved()
: <a class="el" href="classGoocanvas_1_1ItemModel.html#a72244ed09bd3242df5517b941a25973f">Goocanvas::ItemModel</a>
</li>
<li>on_child_notify()
: <a class="el" href="classGoocanvas_1_1Item.html#a3d23fb02ea4f627160bf706833ac0698">Goocanvas::Item</a>
, <a class="el" href="classGoocanvas_1_1ItemModel.html#abeb91f5dadef3474e5a635c67ff6b3ac">Goocanvas::ItemModel</a>
</li>
<li>on_child_removed()
: <a class="el" href="classGoocanvas_1_1ItemModel.html#ab7bb9729f0df0b8d713184a4d9982a8e">Goocanvas::ItemModel</a>
</li>
<li>on_enter_notify_event()
: <a class="el" href="classGoocanvas_1_1Item.html#ab8172202eae744938d424b05b85d07d1">Goocanvas::Item</a>
</li>
<li>on_focus_in_event()
: <a class="el" href="classGoocanvas_1_1Item.html#a387b54083ff940a347c81f29dac7b32c">Goocanvas::Item</a>
</li>
<li>on_focus_out_event()
: <a class="el" href="classGoocanvas_1_1Item.html#ae97dd76731625c33fe9a2c699d0b9339">Goocanvas::Item</a>
</li>
<li>on_grab_broken_event()
: <a class="el" href="classGoocanvas_1_1Item.html#ab8f5930870032ba9e39cca2539ef3177">Goocanvas::Item</a>
</li>
<li>on_item_created()
: <a class="el" href="classGoocanvas_1_1Canvas.html#adce6c8296fb9d47f6f94bd873cfbf426">Goocanvas::Canvas</a>
</li>
<li>on_key_press_event()
: <a class="el" href="classGoocanvas_1_1Item.html#a866c04c16f5ee8de5741a0f00e596503">Goocanvas::Item</a>
</li>
<li>on_key_release_event()
: <a class="el" href="classGoocanvas_1_1Item.html#a37f6b26872229fa7e72f5c7a6a44e71e">Goocanvas::Item</a>
</li>
<li>on_leave_notify_event()
: <a class="el" href="classGoocanvas_1_1Item.html#a5155bfde9755eabff94cc2b9a64d1cdd">Goocanvas::Item</a>
</li>
<li>on_motion_notify_event()
: <a class="el" href="classGoocanvas_1_1Item.html#a09a67013e447c5ccb709558d1d6b0ce2">Goocanvas::Item</a>
</li>
<li>on_scroll_event()
: <a class="el" href="classGoocanvas_1_1Item.html#a3a4e4c700249c30cb76636db277ec6c8">Goocanvas::Item</a>
</li>
<li>operator=()
: <a class="el" href="classGoocanvas_1_1Bounds.html#add2dfbf03cd28c518576399568f4dd80">Goocanvas::Bounds</a>
, <a class="el" href="classGoocanvas_1_1Canvas.html#a975c860b72f6d7f5a4f64835688c5042">Goocanvas::Canvas</a>
, <a class="el" href="classGoocanvas_1_1Ellipse.html#ad89782e6714e90986509c472203eb0e0">Goocanvas::Ellipse</a>
, <a class="el" href="classGoocanvas_1_1EllipseModel.html#a802413d268e3e88b3cbfb12620409527">Goocanvas::EllipseModel</a>
, <a class="el" href="classGoocanvas_1_1Grid.html#a80229f730c75130ab8e3aed9aadb43b7">Goocanvas::Grid</a>
, <a class="el" href="classGoocanvas_1_1GridModel.html#a1ce805cb6ebdbc96de672c3bcfe289f2">Goocanvas::GridModel</a>
, <a class="el" href="classGoocanvas_1_1Group.html#a6ba97f66b988664971788cf87898ba73">Goocanvas::Group</a>
, <a class="el" href="classGoocanvas_1_1GroupModel.html#ab40f65c6a94b4cdc6c17f19df3dc6b2f">Goocanvas::GroupModel</a>
, <a class="el" href="classGoocanvas_1_1Image.html#a61c584eff0a791cdc66b997db04122dd">Goocanvas::Image</a>
, <a class="el" href="classGoocanvas_1_1ImageModel.html#a4fdc3a3ca157662ec3f30cdf84119b84">Goocanvas::ImageModel</a>
, <a class="el" href="classGoocanvas_1_1Item.html#a804bfd4fa3c66a8063fc46acde722ad6">Goocanvas::Item</a>
, <a class="el" href="classGoocanvas_1_1ItemModel.html#a5d2003a96a60ef0e0854f9837e418374">Goocanvas::ItemModel</a>
, <a class="el" href="classGoocanvas_1_1ItemModelSimple.html#affc649f1ba48c52c4904241ba002556b">Goocanvas::ItemModelSimple</a>
, <a class="el" href="classGoocanvas_1_1ItemSimple.html#a499ea9c0b514e50036c3b26f6136e20c">Goocanvas::ItemSimple</a>
, <a class="el" href="classGoocanvas_1_1LineDash.html#a245394eb296a69f71e8e864de1eb913e">Goocanvas::LineDash</a>
, <a class="el" href="classGoocanvas_1_1Path.html#aec9f97c044e5a102dcc9f62157eab4c3">Goocanvas::Path</a>
, <a class="el" href="classGoocanvas_1_1PathModel.html#acbc84fab4ef9c8fec7311428c2c9e053">Goocanvas::PathModel</a>
, <a class="el" href="classGoocanvas_1_1Points.html#ad34b10ac65876a519fcc9cf457597bd4">Goocanvas::Points</a>
, <a class="el" href="classGoocanvas_1_1Polyline.html#aab683a60332603504abd72b3a4751fa1">Goocanvas::Polyline</a>
, <a class="el" href="classGoocanvas_1_1PolylineModel.html#a311c5611e2f00aa363f285fd1b1e7c35">Goocanvas::PolylineModel</a>
, <a class="el" href="classGoocanvas_1_1Rect.html#a736c62cbbc4c34bdc1e5a3769de3eaf9">Goocanvas::Rect</a>
, <a class="el" href="classGoocanvas_1_1RectModel.html#a8cb5ae5ca6b548a96884b57045cf4305">Goocanvas::RectModel</a>
, <a class="el" href="classGoocanvas_1_1Style.html#a77c99e57fc1a54a1958db36d7141097a">Goocanvas::Style</a>
, <a class="el" href="classGoocanvas_1_1Table.html#ace2cc8a025576382a72264ab0c3e88b4">Goocanvas::Table</a>
, <a class="el" href="classGoocanvas_1_1TableModel.html#addf6f4056809fea6ebcc6a4896bdac68">Goocanvas::TableModel</a>
, <a class="el" href="classGoocanvas_1_1Text.html#a27b070263f8dedca7c22d021db085fe1">Goocanvas::Text</a>
, <a class="el" href="classGoocanvas_1_1TextModel.html#a82ae79e777fde010e45fa180dadd74a9">Goocanvas::TextModel</a>
, <a class="el" href="classGoocanvas_1_1Widget.html#af1879b9c61db3b3599957512f5b1a11f">Goocanvas::Widget</a>
</li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Tue Sep 22 2015 13:04:00 for goocanvasmm by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.9.1
</small></address>
</body>
</html>
